Page MenuHomePhabricator

[SVE] Remove calls to VectorType::getNumElements from X86
ClosedPublic

Authored by ctetreau on Jun 24 2020, 3:50 PM.

Diff Detail

Event Timeline

ctetreau created this revision.Jun 24 2020, 3:50 PM
Herald added a project: Restricted Project. · View Herald Transcript
ctetreau updated this revision to Diff 273186.Jun 24 2020, 4:03 PM

remove redundant cast

RKSimon added inline comments.Jun 24 2020, 11:50 PM
llvm/lib/Target/X86/X86TargetTransformInfo.cpp
4366–4367

getInterleavedMemoryOpCostAVX2 + getInterleavedMemoryOpCostAVX512 are X86-only - we can safely change VecTY to be a FixedVectorType and just cast once in the getInterleavedMemoryOpCost call

ctetreau updated this revision to Diff 273442.Jun 25 2020, 10:25 AM

address code review issues

RKSimon accepted this revision.Jun 26 2020, 5:27 AM

LGTM

This revision is now accepted and ready to land.Jun 26 2020, 5:27 AM
This revision was automatically updated to reflect the committed changes.